Bug 98322 - Update Port: lang/p5-JavaScript-SpiderMonkey 0.11->0.15
Summary: Update Port: lang/p5-JavaScript-SpiderMonkey 0.11->0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Aaron Dalton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-01 22:40 UTC by Aaron Dalton
Modified: 2006-06-05 20:50 UTC (History)
0 users

See Also:


Attachments
submission.txt (1.13 KB, text/plain)
2006-06-01 22:40 UTC, Aaron Dalton
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Dalton freebsd_committer 2006-06-01 22:40:14 UTC
- Update from v0.11 to v0.15
- Restrict to FreeBSD-5+ due to dependency upon lang/spidermonkey
- Left odd BUILD_DEPENDS as lang/spidermonkey does not install the shared 
library correctly

0.15 (28/02/2006)
    (tb) Rewrote Makefile.PL to work on more platforms

0.14 (12/02/2006)
    (tb) Removed remaining debug info

0.13 (05/02/2006)
    (tb) Removed debug info
    (tb) Made sure Makefile.PL finds libjs if installed in /usr/lib or 
         /usr/local/lib

0.12 (12/03/2005)
    (ms) Makefile.PL prerequisite changed from undef to '0'.
    (ms) Thomas Busch added a check to Makefile.PL to find an already
         installed JS lib.
Comment 1 Edwin Groothuis freebsd_committer 2006-06-01 22:44:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->aaron

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2006-06-01 22:44:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 kappa 2006-06-05 10:19:47 UTC
The only goal of the patch is to "unsupport" older FreeBSD on which
the port breaks.

I approve it, of course! Thanks, Aaron!

* Edwin Groothuis <edwin@FreeBSD.org> [June 02 2006, 01:44]:
> Maintainer of lang/p5-JavaScript-SpiderMonkey,
> 
> Please note that PR ports/98322 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/98322

-- 
Alex Kapranoff,
$n=["1another7Perl213Just3hacker49"=~/\d|\D*/g];
$$n[0]={grep/\d/,@$n};print"@$n{1..4}\n"
Comment 4 Aaron Dalton freebsd_committer 2006-06-05 20:50:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!